cURL
curl --request GET \
--url https://sandbox-api.superpagamentos.com/withdrawals/{withdrawalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.superpagamentos.com/withdrawals/{withdrawalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.superpagamentos.com/withdrawals/{withdrawalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "0b64746e-d77b-4ff4-8b9d-272b7e5cbbb3",
"amount": 10000,
"liquidAmount": 9900,
"status": "PENDING",
"withdrawalPaymentType": "PIX",
"postbackUrl": "https://example.com/callback",
"pixKeyType": "CPF",
"pixKey": "1234567890",
"createdAt": "2025-06-09T20:59:45.597Z",
"updatedAt": "2025-06-09T20:59:45.597Z"
},
"message": "Saldos bancários"
}Saldo e Transferências
Detalha saque
Retorna os detalhes de um saque específico
Operação em subconta:
Para buscar os detalhes de um saque em subconta, inclua o header x-subaccount-id com o ID da subconta. Quando este header é fornecido, a operação será realizada no contexto da subconta especificada, em vez da conta principal autenticada.
GET
/
withdrawals
/
{withdrawalId}
cURL
Authorizations
Token JWT gerado na rota de autenticação (/auth). Deve ser enviado no formato: Bearer
Headers
ID da subconta onde a operação será realizada. Quando fornecido, a operação será executada no contexto desta subconta específica.
⌘I